package com.gic.haoban.manage.web.qo.potential;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class RecommendConvTrendQO extends PotentialStatisticsBaseQO {

    private static final long serialVersionUID = -4105397589798480404L;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("matchingOnlineConvsMbrNum", 1);        // 1 人货匹配商城转化客户数
        map.put("matchingOnlineConvsAmt", 2);           // 2 人货匹配商城转化金额
        map.put("matchingOfflineConvsMbrNum", 3);       // 3 人货匹配线下转化客户数
        map.put("matchingOfflineConvsAmt", 4);          // 4 人货匹配线下转化金额
        map.put("matchingOnlineConvsMbrNumOverview", 5);// 5 人货匹配商城转化客户数（总览）
        map.put("matchingOnlineConvsAmtOverview", 6);   // 6 人货匹配商城转化金额（总览）
        map.put("matchingOfflineConvsMbrNumOverview", 7);// 7 人货匹配线下转化客户数（总览）
        map.put("matchingOfflineConvsAmtOverview", 8);   // 8 人货匹配线下转化金额（总览）
        map.put("bizDate", 9);                           // 日期
        return map;
    }

    public String getDefaultFields() {
        return "bizDate";
    }
}
